Bug 440387 - Xcircuit will not start if both tk.i386 and tk.x86_64 are installed
Xcircuit will not start if both tk.i386 and tk.x86_64 are installed
Product: Fedora
Classification: Fedora
Component: xcircuit (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-03 05:22 EDT by Trond Danielsen
Modified: 2008-04-22 18:36 EDT (History)
0 users

See Also:
Fixed In Version: 3.4.28-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-22 18:36:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch that solves a tcl multilib issue. (1.74 KB, text/x-patch)
2008-04-04 02:20 EDT, Trond Danielsen
no flags Details

  None (edit)
Description Trond Danielsen 2008-04-03 05:22:54 EDT
Description of problem:
Xcircuit will not start if both tk.i386 and tk.x86_64 are installed. 

NOTE! If the TCLLIBPATH is set to /usr/lib64 xcircuit will start as expected:

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. yum install tk.i386 tk.x86_64 xcircuit
2. run xcircuit
3. watch the error msg in the tkcon window.
Actual results:

output in tkcon:
loading history file ... 0 events added
error in slave eval:
couldn't load file "/usr/lib/tk8.4/../libtk8.4.so":
/usr/lib/tk8.4/../libtk8.4.so: wrong ELF class: ELFCLASS32
Main console display active (Tcl8.4.17 / Tk8.4.17)

Expected results:
an ordinary xcircuit window.

Additional info:
Comment 1 Trond Danielsen 2008-04-04 02:20:12 EDT
Created attachment 300391 [details]
Patch that solves a tcl multilib issue.

Problem is described in this bug
Comment 2 Fedora Update System 2008-04-18 02:47:15 EDT
xcircuit-3.4.28-1.fc8,ngspice-17-15.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-22 18:36:15 EDT
xcircuit-3.4.28-1.fc8, ngspice-17-15.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.